package main

import "fmt"

func main() {
	o := NewObject()
	o.Set(".id", uint64(1))
	o.Set("name", "New Object")
	o.Set("description", "A new object")
	o.Set("on_look", `
	log("call: '%#v'", call)
	log("safe: '%#v'", safe)
	log("self: '%#v'", self)
	log("param1: '%#v'", param1)
	log("param2: '%#v'", param2)
	log("name: '%s'", self.String("name"))
	log("desc: '%s'", self.String("description"))
	pass()
	`)

	msg, ok := o.Call("on_look", nil, nil)
	fmt.Printf("o: '%#v'\n", o)
	fmt.Printf("metadata: '%#v'\n", o.meta.metadata)
	if !ok {
		fmt.Println("Err: ", msg)
		return
	}
	fmt.Println("Ok")
}
